com.taosdata.jdbc.ws

## Class InFlightRequest

- java.lang.Object
- - com.taosdata.jdbc.ws.InFlightRequest

All Implemented Interfaces:
  AutoCloseable

    public class InFlightRequest
    extends Object
    implements AutoCloseable

Unfinished execution

### Constructor Summary

Constructors
Constructor and Description
`InFlightRequest(int timeoutSec, int concurrentNum)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `put(ResponseFuture responseFuture)`
`ResponseFuture` `remove(String id)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InFlightRequest

    public InFlightRequest(int timeoutSec,
                           int concurrentNum)

### Method Detail

#### put

    public void put(ResponseFuture responseFuture)
             throws InterruptedException,
                    TimeoutException

Throws:
  `InterruptedException`
  `TimeoutException`

#### remove

    public ResponseFuture remove(String id)

#### close

    public void close()

Specified by:
  `close` in interface `AutoCloseable`